import java.io.FileInputStream
import java.io.IOException
import java.util.Properties

plugins {
    alias(libs.plugins.com.android.application)
    alias(libs.plugins.org.jetbrains.kotlin.android)
}

android {
    namespace = "at.mikenet.serbianlatintocyrillic"
    compileSdk = 34

    defaultConfig {
        applicationId = "at.mikenet.serbianlatintocyrillic"
        minSdk = 23
        targetSdk = 34
        versionCode = 61
        versionName = "5.5.1"

        resourceConfigurations += listOf("en", "de", "hr", "sr", "uk")
    }

    buildFeatures {
        viewBinding = true
    }

    buildTypes {
        debug {
            versionNameSuffix = "-debug"
        }
        release {
            isMinifyEnabled = true
            isShrinkResources = true
            proguardFiles(getDefaultProguardFile("proguard-android-optimize.txt"), "proguard-rules.pro")

        }
    }
}

kotlin.jvmToolchain(17)

dependencies {
    implementation(libs.androidx.appcompat)
    implementation(libs.androidx.core.ktx)
    implementation(libs.androidx.constraintlayout)
    implementation(libs.androidx.fragment.ktx)
    implementation(libs.androidx.preference.ktx)
    implementation(libs.androidx.lifecycle.runtime.ktx)

    implementation(libs.com.google.code.gson)
    implementation(libs.com.michaeltroger.latintocyrillic)
    implementation(libs.com.vorlonsoft.androidrate)
}

